> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Token Balances of an Address

> Returns a list of token balances of given address.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/address/balance
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/address/balance:
    get:
      tags:
        - Address Information
      summary: Get Current Token Balances of an Address
      description: Returns a list of token balances of given address.
      operationId: getBalance
      parameters:
        - name: network
          required: true
          in: query
          description: Network of Address
          schema:
            type: string
        - name: address
          required: true
          in: query
          description: Address to search
          schema:
            type: string
        - name: network_type
          required: true
          in: query
          description: 'network type: evm, solana, cosmos, etc.'
          schema:
            type: string
        - name: token_contracts
          required: true
          in: query
          description: Comma separated list of token contract addresses
          schema:
            type: string
      responses:
        '200':
          description: Returns a list of token balances of given address.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalancesInfo'
components:
  schemas:
    BalancesInfo:
      type: object
      properties:
        total:
          type: number
        balances:
          type: array
          items:
            $ref: '#/components/schemas/Balance'
      required:
        - total
        - balances
    Balance:
      type: object
      properties:
        denom:
          type: string
        net_balance_change:
          type: number
        date:
          type: string
        total_received:
          type: number
        total_sent:
          type: number
      required:
        - denom
        - net_balance_change
        - date
        - total_received
        - total_sent
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````